# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
inherit autotools subversion
ESVN_REPO_URI="https://forgesvn1.novell.com/svn/flaim/trunk/xflaim/@${PV/5.2_pre/}"

DESCRIPTION="FLAIM is an acronym that stands for FLexible Adaptable Information Management."
HOMEPAGE="http://forge.novell.com/modules/xfmod/project/?flaim"

LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"
SLOT="0"
IUSE="static"

RDEPEND="sys-libs/ncurses
	>=dev-libs/libflaimtk-1.2_pre${PV/5.2_pre/}"
DEPEND="${RDEPEND}
	>=sys-devel/libtool-2.2"

src_prepare() {
	eautoreconf -i
}

src_configure() {
	econf $(use_enable static) || die "configure failed"
}

src_install() {
	einstall || die "einstall failed"
	rm -r "${D}"/usr/share/doc/xflaim || die "rm olddoc failed"
	dodoc AUTHORS NEWS ChangeLog README || die "dodoc failed"
}
